Use this API to upload RPM packages to the package registry.
Upload a RPM package
POST /api/v4/projects/{id}/packages/rpm
This feature was introduced in GitLab 15.7
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Authorize package upload from workhorse
POST /api/v4/projects/{id}/packages/rpm/authorize
This feature was introduced in GitLab 15.7
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
Responses
| Code | Description | Schema |
|---|---|---|
201 | Created | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Download repository metadata files
GET /api/v4/projects/{id}/packages/rpm/repodata/{file_name}
This feature was introduced in GitLab 15.7
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
file_Path, | String | Repository metadata file name |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |
Download RPM package files
GET /api/v4/projects/{id}/packages/rpm/{package_file_id}/{file_name}
This feature was introduced in GitLab 15.7
Parameters
| Name | Type | Description |
|---|---|---|
idPath, | String or integer | The ID or URL- |
package_Path, | Integer | RPM package file id |
file_Path, | String | RPM package file name |
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | — |
400 | Bad Request | — |
401 | Unauthorized | — |
403 | Forbidden | — |
404 | Not Found | — |